Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514353 - [RFE] Document that changes will not be persisted when editing configuration of a stateless VM
Summary: [RFE] Document that changes will not be persisted when editing configuration ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.7
Hardware: All
OS: Linux
low
medium
Target Milestone: ovirt-4.1.11
: ---
Assignee: Byron Gravenorst
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 08:25 UTC by nijin ashok
Modified: 2018-06-28 02:07 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-28 02:07:04 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description nijin ashok 2017-11-17 08:25:38 UTC
Editing a stateless VM configurations like memory,cpu etc. will not be persisted when the user shutdown the VM. However, no messages are shown to the user in the  UI that it will not persist. Even user will be able to change "next run" configurations which don't make any sense for the stateless VM as the configuration will be anyway reverted back.

Immediately after user shutdown the VM, old configuration is reverted back which is confusing to the users.

There were similar discussions here https://bugzilla.redhat.com/show_bug.cgi?id=1320879#c8

It would be good user experience if we provide proper messages to the user that the changes will not be persisted when editing the stateless VM.

Comment 3 Martin Tessun 2018-01-09 14:14:49 UTC
Honestly, I think we need to decide what "Stateless" really means and how it should be documented.
I don't see any reason for a Warning, when "Stateless" is defined and documented properly.

Reading through https://bugzilla.redhat.com/show_bug.cgi?id=1320879 it seems that this BZ introduces the "Stateless" for the configuration as well.
I believe we need to document this (or apply "Stateless" only to the disks, as it is expected).

From my understanding the mentioned BZ did exactly include the Configuration for Stateless, so it does not make much sense to revert this change now, as other customers would complain.

As such, I would suggest to document clearly that a "Stateless" VM also implies that changes during runtime on the configuration are stateless as well as the diskcontent will get reverted once the VM is shut down.

So, I think this is a doc bug in the first place.
Tomas, Derek: Comments?

Comment 4 Tomas Jelinek 2018-02-14 10:01:01 UTC
(In reply to Martin Tessun from comment #3)
> Honestly, I think we need to decide what "Stateless" really means and how it
> should be documented.
> I don't see any reason for a Warning, when "Stateless" is defined and
> documented properly.
> 
> Reading through https://bugzilla.redhat.com/show_bug.cgi?id=1320879 it seems
> that this BZ introduces the "Stateless" for the configuration as well.
> I believe we need to document this (or apply "Stateless" only to the disks,
> as it is expected).

it has actually been introduced by the next run snapshots and the 1320879 only unifies the behavior for VMs with disks and without.

> 
> From my understanding the mentioned BZ did exactly include the Configuration
> for Stateless, so it does not make much sense to revert this change now, as
> other customers would complain.

+1

> 
> As such, I would suggest to document clearly that a "Stateless" VM also
> implies that changes during runtime on the configuration are stateless as
> well as the diskcontent will get reverted once the VM is shut down.
> 
> So, I think this is a doc bug in the first place.

agree, this is a doc bug - moving it to doc

> Tomas, Derek: Comments?

Comment 10 Tahlia Richardson 2018-05-02 05:41:35 UTC
To summarise, the action item for this bug is: 

Clarify, where required (see comment 8), that the changes that are not persisted when a VM is stateless include both:

* Changes to VM data (e.g. saving files, installing packages) 
* Changes to VM config (e.g. increasing memory or CPUs)


Note You need to log in before you can comment on or make changes to this bug.